> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate MCP token

> Generates a per-tenant bearer token for authenticating to hotglue's Composite MCP server (`https://mcp.hotglue.com/mcp`). The token scopes tool discovery and tool calls to the specified tenant's linked connectors.



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/mcpToken
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/mcpToken:
    get:
      summary: Generate MCP token
      description: >-
        Generates a per-tenant bearer token for authenticating to hotglue's
        Composite MCP server (`https://mcp.hotglue.com/mcp`). The token scopes
        tool discovery and tool calls to the specified tenant's linked
        connectors.
      operationId: generate-mcp-token
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    token: eyJlbnZfaWQiOiJkZXYtdjEiLCJmbG93X2lkIjoiLi4uIn0=
              schema:
                type: object
                properties:
                  token:
                    type: string
                    description: >-
                      Base64-encoded bearer token to pass as `Authorization:
                      Bearer <token>` when calling Composite MCP.
                    example: eyJlbnZfaWQiOiJkZXYtdjEiLCJmbG93X2lkIjoiLi4uIn0=
                required:
                  - token
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    Message: >-
                      No signing key has been created for this environment. You
                      can do this in your environment settings.
              schema:
                type: object
                properties:
                  Message:
                    type: string
                    example: >-
                      No signing key has been created for this environment. You
                      can do this in your environment settings.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````